package com.ims.eval.api;

import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IEvaluationPortalService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * APP首页
 *
 * @author hlf
 * @date 2023/7/12 10:58
 * 文件说明：
 */
@Slf4j
@RestController
@RequestMapping("//evaluation-app-home")
public class HomeController {

	@Autowired
	private IEvaluationPortalService portalService;

	/**
	 * 年度排行榜数据
	 *
	 * @param binSection binSection
	 * @param year       年度
	 * @return 结果
	 */
	@GetMapping(value = "/list")
	public R listAll(@RequestParam(value = "binSection") String binSection,
					 @RequestParam(value = "year") String year) {
		Map<String, Object> data = portalService.selectPortalList(binSection, year, null);
		return R.ok().data(data);
	}

}
